Show / Hide Table of Contents

# Struct Telepo

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Telepo

### Fields

| Improve this Doc View Source

#### TeleportList

##### Declaration

    public StdVector<TeleportInfo> TeleportList

##### Field Value

Type | Description
--- | ---
StdVector<TeleportInfo> |

| Improve this Doc View Source

#### UseTicketInvoker

##### Declaration

    public SelectUseTicketInvoker UseTicketInvoker

##### Field Value

Type | Description
--- | ---
SelectUseTicketInvoker |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 8D 0D ?? ?? ?? ?? 48 8B 12", 0, false)]
    public static Telepo*Instance()

##### Returns

Type | Description
--- | ---
Telepo* |

| Improve this Doc View Source

#### Teleport(UInt32, Byte)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B 4B 10 84 C0 48 8B 01 74 2C")]
    public bool Teleport(uint aetheryteID, byte subIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | aetheryteID |
System.Byte | subIndex |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UpdateAetheryteList()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 89 46 68 4C 8D 45 50")]
    public void *UpdateAetheryteList()

##### Returns

Type | Description
--- | ---
System.Void* |